> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nectarclimate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ping Test Endpoint

> This endpoint allows users to test the server availability for v2.2 endpoints. Upon successful authentication, it returns a 'pong v2.2' message, indicating that the server is running and the user's authentication credentials are valid.



## OpenAPI

````yaml /api-reference/openapi-v2-2.json get /ping
openapi: 3.1.0
info:
  title: Nectar API Documentation
  version: 1.0.0 (v1)
  description: >-
    Complete API documentation for v2.2 endpoints to managing companies, sites,
    data, and documents
servers:
  - url: https://external.nectarclimate.com/v2.2
    description: Nectar API Server
security: []
paths:
  /ping:
    get:
      tags:
        - Ping
      summary: Ping Test Endpoint
      description: >-
        This endpoint allows users to test the server availability for v2.2
        endpoints. Upon successful authentication, it returns a 'pong v2.2'
        message, indicating that the server is running and the user's
        authentication credentials are valid.
      operationId: ping_retrieve
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PingResponse'
          description: ''
      security:
        - ExternalAuthentication: []
components:
  schemas:
    PingResponse:
      type: object
      description: Serializer for ping response.
      properties:
        detail:
          type: string
          description: Response message indicating server status
      required:
        - detail
  securitySchemes:
    ExternalAuthentication:
      type: apiKey
      in: header
      name: X-API-KEY

````